org.apache.cxf.ws.addressing

## Class VersionTransformer.Names200403

- java.lang.Object
- - org.apache.cxf.ws.addressing.VersionTransformer.Names200403

- Enclosing class:
    VersionTransformer

      public static class VersionTransformer.Names200403
      extends Object

  Holder for 2004/03 Names

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Class<org.apache.cxf.ws.addressing.v200403.EndpointReferenceType>` | `EPR_TYPE`
    `static String` | `WSA_ANONYMOUS_ADDRESS`
    `static String` | `WSA_NAMESPACE_NAME`
    `static String` | `WSA_NONE_ADDRESS`
    `static org.apache.cxf.ws.addressing.v200403.ObjectFactory` | `WSA_OBJECT_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Names200403()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JAXBContext` | `getJAXBContext()` Retrieve a JAXBContext for marshalling and unmarshalling JAXB generated types for the 2004/08 version.
    `static void` | `setJAXBContext(JAXBContext ctx)` Set the encapsulated JAXBContext (used by unit tests).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSA_NAMESPACE_NAME

          public static final String WSA_NAMESPACE_NAME

      See Also:
        Constant Field Values

    - #### WSA_ANONYMOUS_ADDRESS

          public static final String WSA_ANONYMOUS_ADDRESS

      See Also:
        Constant Field Values

    - #### WSA_NONE_ADDRESS

          public static final String WSA_NONE_ADDRESS

      See Also:
        Constant Field Values

    - #### WSA_OBJECT_FACTORY

          public static final org.apache.cxf.ws.addressing.v200403.ObjectFactory WSA_OBJECT_FACTORY

    - #### EPR_TYPE

          public static final Class<org.apache.cxf.ws.addressing.v200403.EndpointReferenceType> EPR_TYPE

  - ### Constructor Detail

    - #### Names200403

          protected Names200403()

  - ### Method Detail

    - #### getJAXBContext

          public static JAXBContext getJAXBContext()
                                            throws JAXBException

      Retrieve a JAXBContext for marshalling and unmarshalling JAXB generated types for the 2004/08 version.
      Returns:
        a JAXBContext
      Throws:
        `JAXBException`

    - #### setJAXBContext

          public static void setJAXBContext(JAXBContext ctx)
                                     throws JAXBException

      Set the encapsulated JAXBContext (used by unit tests).
      Parameters:
        `ctx` - JAXBContext
      Throws:
        `JAXBException`

Apache CXF